<div class="col-sm-8 col-sm-offset-2">
    <form [formGroup]="userForm" (ngSubmit)="onSubmitForm()" >

        <div class="form-group">
            <label for="firstNameInput">Prenom</label>
            <input type="text" id="firstNameInput" class="form-control" formControlName="firstName" >
        </div>

        <div class="form-group">
            <label for="lastNameInput">Nom</label>
            <input type="text" id="lastNameInput" class="form-control" formControlName="lastName" >
        </div>

        <div class="form-group">
            <label for="emailInput">email</label>
            <input type="text" id="emailInput" class="form-control" formControlName="email" >
        </div>

        <div class="form-group">
            <label for="drinkPreferenceSelect">Quelle boison préférez-vous ?</label>
            <select id="drinkPreferenceSelect" class="form-control" name="drinkPreference" formControlName="drinkPreference" >
                <option value="Coca">Coca</option>
                <option value="Fanta">Fanta</option>
                <option value="Coffe">Coffe</option>
            </select>
        </div>

        <div formArrayName="hobbies">
            <h3> Vos Hobbies </h3>
            <div class="form-group" *ngFor="let hobbyContol of getHobbies().controls; let i = index">
                <input type="text" class="form-control" [formControlName]="i">
            </div>
            <button type="button" class="btn btn-success" (click)="onAddHobby()"> Ajouter un Hobby </button>
        </div>
        <button type="submit" class="btn btn-primary" [disabled]="userForm.invalid"> Enregistrer</button>
    </form>
</div>
